Subject: Re: [Patch net] sched, cls: check if we could overwrite actions when changing a filter

From: Jamal Hadi Salim <[email-masked]>
Date: Fri, 25 Apr 2014 11:48:26 -0400

On 04/24/14 17:12, Cong Wang wrote:
> On Wed, Apr 23, 2014 at 4:30 AM, Jamal Hadi Salim <[email-masked]> wrote:
>>
>> I dont see what you are seeing. However, some quick tests will prove it.
>> Example go from 1->3 actions and backwards 3->1 actions.
>> I.e create a policy with (handwave) 3 actions and replace it with
>> another that has only one action. Do this while you are sending a
>> ping exercising this policy.
>> I can see how yours with 1->0 and 0->1 will work.
>
> See below (with this patch applied):
>

Ok, thanks Cong. Since you are using this in your system already,
I am assuming it is tested with running traffic at the same time.

Please resubmit the patch with my signed off as well..

cheers,
jamal